#ifndef DIM
#error DIM unset
#endif

#include <dune/common/fmatrix.hh>
#include <dune/common/fvector.hh>
#include <dune/grid/alugrid.hh>
#include <dune/istl/bcrsmatrix.hh>
#include <dune/istl/bvector.hh>

#include <dune/tectonic/myblockproblem.hh>
#include <dune/tectonic/myconvexproblem.hh>

typedef Dune::FieldVector<double, DIM> SmallVector;
typedef Dune::FieldMatrix<double, DIM, DIM> SmallMatrix;
typedef Dune::BlockVector<SmallVector> VectorType;
typedef Dune::BCRSMatrix<SmallMatrix> MatrixType;

typedef Dune::ALUGrid<DIM, DIM, Dune::simplex, Dune::nonconforming> GridType;

template class MySolver<DIM, MatrixType, VectorType, GridType>;
